{	ACS-Beispielprogramm "AUF"
	berarbeitet vom Michael Schlter (@SL)
	Letzte Bearbeitung: 01.01.1993
}

PROGRAM auf_ab;

{$X+}

USES ACS, AUFM;

FUNCTION init_acs: INTEGER;
VAR		wi		: AwindowPtr;
BEGIN
	wi := Awi_root;							{ root window }
	IF (wi <> NIL) THEN
	BEGIN
		wi^.service (wi, AS_NEWCALL, @@HELLO.create);
		wi := @HELLO;
		wi^.create (NIL);					{ sofort ein Fenster erzeugen }
		init_acs := OK;
	END
	ELSE
	BEGIN
	  init_acs := FAIL;
	END;
END;

PROCEDURE mein;
BEGIN
	HELLO.create (NIL);
END;

BEGIN										{ ACS }
	ACSblk^. ACSaboutme := mein;			{ eigenes aboutme }
	start_acs (init_acs, @ACSdescr);
END.